/**
 * Created by mgoria on 12/22/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IdentityProviderMismatchException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when passed identity provider name does not match provider name from identityMetadata
 */
class IdentityProviderMismatchException extends _Exception.Exception {
  /**
   * @param {String} providerName
   * @param {String} identityMetadataProvider
   */
  constructor(providerName, identityMetadataProvider) {
    super(`Provider "${providerName}" does not match with identityMetadataProvider "${identityMetadataProvider}".`);
  }
}
exports.IdentityProviderMismatchException = IdentityProviderMismatchException;