/**
 * Created by mgoria on 12/22/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IdentityProviderTokenExpiredException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when identity provider token expired
 */
class IdentityProviderTokenExpiredException extends _Exception.Exception {
  /**
   * @param {String} providerName
   * @param {Date} expireTime
   */
  constructor(providerName, expireTime) {
    super(`"${providerName}" access_token has expired on "${expireTime.toString()}".`);
  }
}
exports.IdentityProviderTokenExpiredException = IdentityProviderTokenExpiredException;