/**
 * Created by mgoria on 12/22/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InvalidProviderIdentityException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when provider identity metadata does not contain required fields (access_token and token expiration time)
 */
class InvalidProviderIdentityException extends _Exception.Exception {
  /**
   * @param {String} providerName
   */
  constructor(providerName) {
    super(`Passed "${providerName}" identity does not contain mandatory access_token or tokenExpirationTime fields.`);
  }
}
exports.InvalidProviderIdentityException = InvalidProviderIdentityException;