/**
 * Created by mgoria on 11/09/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PutCognitoRecordException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when put a new record to a CognitoSync dataset failed
 */
class PutCognitoRecordException extends _Exception.Exception {
  /**
   * @param {String} dataset
   * @param {String} record
   * @param {Object} error
   */
  constructor(dataset, record, error) {
    super(`Error on putting "${record}" record into "${dataset}" dataset. ${error}`);
  }
}
exports.PutCognitoRecordException = PutCognitoRecordException;